## EShellContent

EShellContent — the right side of the main window

## Functions

GtkWidget * | e_shell_content_new ()
void | e_shell_content_set_searchbar ()
guint32 | e_shell_content_check_state ()
void | e_shell_content_focus_search_results ()
GtkWidget * | e_shell_content_get_alert_bar ()
struct _EShellView * | e_shell_content_get_shell_view ()
void | e_shell_content_run_advanced_search_dialog ()
void | e_shell_content_run_edit_searches_dialog ()
void | e_shell_content_run_save_search_dialog ()

## Properties

EAlertBar * | alert-bar | Read
EShellView * | shell-view | Read / Write / Construct Only

## Types and Values

struct | EShellContent

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── EShellContent

## Implemented Interfaces

EShellContent implements AtkImplementorIface, GtkBuildable, EAlertSink and EExtensible.

## Includes

    #include <shell/e-shell-content.h>

## Description

## Functions

### e_shell_content_new ()

    GtkWidget *
    e_shell_content_new (struct _EShellView *shell_view);

Creates a new EShellContent instance belonging to `shell_view` .

#### Parameters

shell_view | an EShellView |

#### Returns

a new EShellContent instance

### e_shell_content_set_searchbar ()

    void
    e_shell_content_set_searchbar (EShellContent *shell_content,
                                   GtkWidget *searchbar);

Packs `searchbar` at the top of `shell_content` .

#### Parameters

shell_content | an EShellContent |
searchbar | a GtkWidget, or `NULL` |

### e_shell_content_check_state ()

    guint32
    e_shell_content_check_state (EShellContent *shell_content);

EShellContent subclasses should implement the `check_state` method in EShellContentClass to return a set of flags describing the current content selection. Subclasses are responsible for defining their own flags. This is primarily used to assist shell views with updating actions (see `e_shell_view_update_actions()`).

#### Parameters

shell_content | an EShellContent |

#### Returns

a set of flags describing the current `shell_content` selection

### e_shell_content_focus_search_results ()

    void
    e_shell_content_focus_search_results (EShellContent *shell_content);

EShellContent subclasses should implement the `focus_search_results` method in EShellContentClass to direct input focus to the widget displaying search results. This is usually called during `e_shell_view_execute_search()`.

#### Parameters

shell_content | an EShellContent |

### e_shell_content_get_alert_bar ()

    GtkWidget *
    e_shell_content_get_alert_bar (EShellContent *shell_content);

Returns the EAlertBar used to display informational and error messages.

#### Parameters

shell_content | an EShellContent |

#### Returns

the EAlertBar for `shell_content`

### e_shell_content_get_shell_view ()

    struct _EShellView *
    e_shell_content_get_shell_view (EShellContent *shell_content);

Returns the EShellView that was passed to `e_shell_content_new()`.

#### Parameters

shell_content | an EShellContent |

#### Returns

the EShellView to which `shell_content` belongs

### e_shell_content_run_advanced_search_dialog ()

    void
    e_shell_content_run_advanced_search_dialog
                                   (EShellContent *shell_content);

### e_shell_content_run_edit_searches_dialog ()

    void
    e_shell_content_run_edit_searches_dialog
                                   (EShellContent *shell_content);

### e_shell_content_run_save_search_dialog ()

    void
    e_shell_content_run_save_search_dialog
                                   (EShellContent *shell_content);

## Types and Values

### struct EShellContent

    struct EShellContent;

Contains only private data that should be read and manipulated using the functions below.

## Property Details

### The `“alert-bar”` property

      “alert-bar”                EAlertBar *

Displays informational and error messages.

Owner: EShellContent

Flags: Read

### The `“shell-view”` property

      “shell-view”               EShellView *

The EShellView to which the content widget belongs.

Owner: EShellContent

Flags: Read / Write / Construct Only